import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import IClientSidePreferenceRepo, { ClientPreferences, loadParams } from '../../types/repositories/client-side-preferences';
export default class ClientSidePreferencesRepository implements IClientSidePreferenceRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    load(rest?: loadParams): Promise<ClientPreferences>;
}
